Package: org.codehaus.groovy.classgen

## [Java] Class ClassGeneratorException

- org.codehaus.groovy.classgen.ClassGeneratorException

- An exception thrown by the class generator

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassGeneratorException (String message)`
    `ClassGeneratorException (String message, Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ClassGeneratorException(String message)

    - #### public ClassGeneratorException(String message, Throwable cause)